Summary: Play midi files on FM, GUS and MIDI devices
Name: playmidi
Version: 2.3
Release: 9
Source: ftp://sunsite.unc.edu/pub/Linux/apps/sound/players/playmidi-2.3.tar.gz
Source1: playmidi.wmconfig
Copyright: GPL
Group: Applications/Sound
Patch: playmidi-2.3-fsstnd.patch
Patch1: playmidi-2.3-hertz.patch
Patch2: playmidi-2.3-gus.patch

%changelog

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>

- added wmconfig entries

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%package X11
Summary: X windows interface to MIDI sound player
Requires: playmidi = 2.3
Group: Applications/Sound

%description
Plays MIDI sound files through a sound card synthesizer. It includes 
basic drum samples for use with simple FM synthesizers.

%description X11
X program for playing MIDI sound files through a sound card synthesizer. It 
includes basic drum samples for use with simple FM synthesizers.

%prep
%setup
%patch -p1
%patch1 -p1 -b .consthertz
%patch2 -p1 

%build
PATH=.:$PATH

%ifarch i386
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" playmidi splaymidi xplaymidi <<EOF
2
EOF
%else
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" playmidi xplaymidi <<EOF
2
EOF
%endif

%install
%ifarch i386
make install 
%else
make install.novga
%endif
make install.man

install -d /etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/playmidi.wmconfig /etc/X11/wmconfig/playmidi


%files
%doc QuickStart COPYING BUGS ChangeLog
/usr/bin/playmidi 
%config /etc/std.o3
%config /etc/std.sb
%config /etc/drums.o3
%config /etc/drums.sb
%ifarch i386
/usr/bin/splaymidi
%endif

%files X11
%config /usr/X11R6/lib/X11/app-defaults/XPlaymidi
/usr/bin/xplaymidi
/etc/X11/wmconfig/playmidi
